#!/bin/sh

find -L -- . -type f -name '*.hidden.html' | while read -r file; do
    newfile=$(echo "$file" | sed 's/.hidden.html$/.html/' | sed 's/\/\([^\/]*\)$/\/.\1/')
    mv "$file" "$newfile"
done
